Skip to main content
`Ctrl`+`K`

# PetscDualSpaceApplyAllDefault

Apply all functionals from the dual space basis to the result of an evaluation at the points returned by `PetscDualSpaceGetAllData()`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceApplyAllDefault(PetscDualSpace sp, const PetscScalar *pointEval, PetscScalar *spValue)

## Input Parameters

- sp - The `PetscDualSpace` object

- pointEval - Evaluation at the points returned by `PetscDualSpaceGetAllData()`

## Output Parameter

- spValue - The values of all dual space functionals

## See Also

`PetscDualSpace`, `PetscDualSpaceCreate()`

## Level

advanced

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages